"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
exports.DateType = new graphql_1.GraphQLScalarType({
    name: 'Date',
    serialize: val => val.toJSON(),
    parseValue: val => new Date(val),
    parseLiteral(ast) {
        if (ast.kind === graphql_1.Kind.STRING) {
            return new Date(ast.value);
        }
        return null;
    },
});
